Package org.pushingpixels.substance.internal.utils

# Class SubstanceOutlineUtilities

java.lang.Object
org.pushingpixels.substance.internal.utils.SubstanceOutlineUtilities

public class SubstanceOutlineUtilities extends Object
Provides common functionality that can be used by button shapers. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceOutlineUtilities()`

## Method Summary

Modifier and Type
Method
Description
`static GeneralPath`
`getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides)`
Returns basic outline for the specified parameters.
`static GeneralPath`
`getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides, int insets)`
Returns basic outline for the specified parameters.
`static GeneralPath`
`getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides, Insets insets)`
Returns basic outline for the specified parameters.
`static GeneralPath`
`getBaseOutline(Component comp, float radius, Set<SubstanceConstants.Side> straightSides)`
Returns basic outline for the specified component.
`static GeneralPath`
`getTriangleButtonOutline(int width, int height, float radius, int insets)`
Returns outline that has a triangle poiting downwards.
`static GeneralPath`
`getTriangleButtonOutline(int width, int height, float radius, Insets insets)`
Returns outline that has a triangle poiting downwards.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceOutlineUtilities

public SubstanceOutlineUtilities()

## Method Details

### getBaseOutline

public static GeneralPath getBaseOutline(Component comp, float radius, Set<SubstanceConstants.Side> straightSides)
Returns basic outline for the specified component. The basic outline is a rectangle with rounded corners. Some corners may not be rounded based on the contents of `straightSide` parameter.

Parameters:
  `comp` - Component.
  `radius` - Corner radius.
  `straightSides` - Contains all sides which are straight.
Returns:
  The basic outline for the specified parameters.

### getBaseOutline

public static GeneralPath getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides)
Returns basic outline for the specified parameters. The basic outline is a rectangle with rounded corners. Some corners may not be rounded based on the contents of `straightSide` parameter.

Parameters:
  `width` - Width of some UI component.
  `height` - Height of some UI component.
  `radius` - Corner radius.
  `straightSides` - Contains all sides which are straight.
Returns:
  The basic outline for the specified parameters.

### getBaseOutline

public static GeneralPath getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides, int insets)
Returns basic outline for the specified parameters. The basic outline is a rectangle with rounded corners. Some corners may not be rounded based on the contents of `straightSides` parameter.

Parameters:
  `width` - Width of some UI component.
  `height` - Height of some UI component.
  `radius` - Corner radius.
  `straightSides` - Contains all sides which are straight.
  `insets` - Shape insets.
Returns:
  The basic outline for the specified parameters.

### getBaseOutline

public static GeneralPath getBaseOutline(int width, int height, float radius, Set<SubstanceConstants.Side> straightSides, Insets insets)
Returns basic outline for the specified parameters. The basic outline is a rectangle with rounded corners. Some corners may not be rounded based on the contents of `straightSides` parameter.

Parameters:
  `width` - Width of some UI component.
  `height` - Height of some UI component.
  `radius` - Corner radius.
  `straightSides` - Contains all sides which are straight.
  `insets` - Shape insets.
Returns:
  The basic outline for the specified parameters.

### getTriangleButtonOutline

public static GeneralPath getTriangleButtonOutline(int width, int height, float radius, int insets)
Returns outline that has a triangle poiting downwards. The top two corners in the outline are rounded. This function can be used to draw slider thumbs.

Parameters:
  `width` - Width of some UI component.
  `height` - Height of some UI component.
  `radius` - Corner radius for the top two corners.
  `insets` - Insets to compute the outline.
Returns:
  Outline that has a triangle poiting downwards.

### getTriangleButtonOutline

public static GeneralPath getTriangleButtonOutline(int width, int height, float radius, Insets insets)
Returns outline that has a triangle poiting downwards. The top two corners in the outline are rounded. This function can be used to draw slider thumbs.

Parameters:
  `width` - Width of some UI component.
  `height` - Height of some UI component.
  `radius` - Corner radius for the top two corners.
  `insets` - Insets to compute the outline.
Returns:
  Outline that has a triangle poiting downwards.